<?php
date_default_timezone_set('America/Lima');
$enumeracion = 1;
//Activamos el almacenamiento en el buffer
ob_start();
if (strlen(session_id()) < 1) 
  session_start();

if (!isset($_SESSION["nombre"]))
{
  echo 'Debe ingresar al sistema correctamente para visualizar el reporte';
}
else
{
if ($_SESSION['ventas']==1)
{

//Inlcuímos a la clase PDF_MC_Table
require('PDF_MC_Table.php');
 
//Instanciamos la clase para generar el documento pdf
$pdf=new PDF_MC_Table();
 
//Agregamos la primera página al documento pdf
$pdf->AddPage();
 
//Seteamos el inicio del margen superior en 25 pixeles 
$y_axis_initial = 25;
 
//Encabezado principal 
//$pdf->Cell(40,10,date('d/m/Y'),0,1,'L'); 

$pdf->SetFont('Arial','B',16);
$pdf->Cell(86,6,'',0,0,'C');
$pdf->Cell(110,6,'Consettur Machupicchu S.A.C.',0,0,'C');
$pdf->Ln(5);

$pdf->SetFont('Arial','B',12);
$pdf->Cell(86,6,'',0,0,'C');
$pdf->Cell(110,6,'Bienes de mayor y menor cuantia',0,0,'C'); 
$pdf->Ln(-5);
$pdf->Image('logo.jpg',20,8,22);

$pdf->SetFont('Arial','B',9);
//$pdf->Cell(15,5,'Fecha',1,0,'C');
$pdf->Cell(500,5,date('d/m/Y'),0,1,'C'); 
//$pdf->Cell(15,5,'Hora',1,0,'C');
$pdf->Cell(500,5,date('h:i:s'),0,1,'C'); 
//$pdf->Cell(15,5,'Usuario',1,0,'C');
//$pdf->Cell(25,5,'enumeracion++',1,1,'C'); 
$pdf->Ln(13);




//Seteamos el tipo de letra y creamos el título de la página. No es un encabezado no se repetirá
$pdf->SetFont('Arial','B',13);

$pdf->Cell(85.2,6,'',0,0,'C');
$pdf->Cell(116,7,'RELACION GENERAL DE BIENES PATRIMONIALES',1,0,'C'); 
$pdf->Ln(10);
 
//Creamos las celdas para los títulos de cada columna y le asignamos un fondo gris y el tipo de letra
$pdf->SetFillColor(236, 191, 7 ); 
$pdf->SetFont('Arial','B',10);
//$pdf->Cell(8,6,'#',1,0,'C',1); 
$pdf->Cell(60,6,'ARTICULO',1,0,'C',1);
$pdf->Cell(25,6,'COD. PAT.',1,0,'C',1);
$pdf->Cell(25,6,'MARCA',1,0,'C',1);
$pdf->Cell(25,6,'MODELO',1,0,'C',1);
$pdf->Cell(25,6,'SERIE',1,0,'C',1);
$pdf->Cell(25,6,'COLOR',1,0,'C',1);
$pdf->Cell(25,6,'MEDIDAS',1,0,'C',1);
$pdf->Cell(12,6,'R.C.',1,0,'C',1);
$pdf->Cell(23,6,'UBICACION',1,0,'C',1);
$pdf->Cell(20,6,'ESTADO',1,0,'C',1);
 
$pdf->Ln(6);
//Comenzamos a crear las filas de los registros según la consulta mysql
require_once "../modelos/Venta.php";
$venta = new Venta();

$rspta = $venta->listar();

//Table with rows and columns
$pdf->SetWidths(array(60,25,25,25,25,25,25,12,23,20));

while($reg= $rspta->fetch_object())
{  
    //$iddetalle_venta = $reg->iddetalle_venta;
    
    $n_art = $reg->n_art;
    $cod_patri = $reg->cod_patri;
    $marca = $reg->marca;
    $modelo = $reg->modelo;
    $serie = $reg->serie;
    $color = $reg->color;
    $medidas = $reg->medidas;
    $rc = $reg->rc;
    $ubicacion = $reg->ubicacion;
    $procedimiento = $reg->procedimiento;
    
 	
 	$pdf->SetFont('Arial','',9);
    $pdf->Row(array(utf8_decode($n_art),utf8_decode($cod_patri),utf8_decode($marca),utf8_decode($modelo),utf8_decode($serie),utf8_decode($color),utf8_decode($medidas),$rc,$ubicacion,utf8_decode($procedimiento)));
}
 
//Mostramos el documento pdf
$pdf->Output();

?>
<?php
}
else
{
  echo 'No tiene permiso para visualizar el reporte';
}

}
ob_end_flush();
?>